<h2>External Lines</h2>
<hr />

<form name="digium_phones_externallines" method="post" action="config.php?type=setup&display=digium_phones&digium_phones_form=externallines_edit">
<script>
$().ready(function() {
<?php
$externallines = $digium_phones->get_externallines();

if (isset($_GET['externalline']) and !isset($_GET['deleteexternalline_submit'])) {
	$editexternalline = $_GET['externalline'];
}

if ($editexternalline != null) {
	if ($editexternalline == 0) {
?>
		$('#linename').val("New External Line");
<?php
	} else {
?>
		$('#linename').val($('#line<?php echo $editexternalline?>name').text());
<?php
	}
?>
	$('#externalline').val(<?php echo $editexternalline?>);

	$('div[id=editingexternalline]').show();
<?php
}

foreach ($externallines as $externallineid=>$externalline) {
	if ($editexternalline == $externallineid) {
		foreach ($externalline['settings'] as $key=>$val) {
?>
			if ($('#<?php echo $key?>') != null) {
				$('#<?php echo $key?>').val('<?php echo $val?>');
			}
<?php
		}
	}
}
?>
});
$('form').submit(function() {
	if ($.trim($('#linename').val()).length <= 0) {
		alert('Line Name cannot be blank.');
		return false;
	}
	if ($.trim($('#userid').val()).length <= 0) {
		alert('User ID cannot be blank.');
		return false;
	}
});
</script>
<p>

<table style="border-collapse:collapse; border-style:outset; border-width: 1px; ">
<tr>
<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Line Name<span>Sets an identifier for the line.  This will be present in the phone's preferences menu and is used to manually select a line from the phone, if required.
</span></a></th>
<th style="border-style:inset; border-width:1px; "><a href="#" class="info">User ID<span>The user ID for this line.
</span></a></th>
<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Server Address<span>The address of the server currently in use for this external line.
</span></a></th>
<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Actions<span>"Edit" provides additional editing control over a selected line. "Delete" removes the specified line.</span></a></th>
</tr>
<?php
foreach ($externallines as $externallineid=>$externalline) {
?>
<tr>
<td valign="top" style="width: 200px; border-style:inset; border-width: 1px; ">
	<span id="line<?php echo $externallineid?>name"><?php echo $externalline['name']?></span>
</td>
<td valign="top" style="border-style:inset; border-width:1px; ">
	<?php echo $externalline['settings']['userid']?>
</td>
<td valign="top" style="border-style:inset; border-width:1px; ">
	<?php echo $externalline['settings']['server_address']?>
</td>
<td valign="top" style="border-style:inset; border-width:1px; white-space: nowrap; ">
	<input type="button" value="Edit" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=externallines_edit&externalline=<?php echo $externallineid?>'">
	<input type="button" value="Delete" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=externallines_edit&deleteexternalline_submit=Delete&externalline=<?php echo $externallineid?>'">
</td>
</tr>
<?php
}
?>
</table>

<p>
<input type="button" value="Add External Line" onclick="location.href='config.php?type=setup&display=digium_phones&digium_phones_form=externallines_edit&externalline=0'" />
<hr />

<div id="editingexternalline" style="display: none;">
	<input type="hidden" id="externalline" name="externalline" />
	<div class="setting">
		<label for="linename"><a href="#" class="info">Line Name<span>Sets an identifier for the line.  This will be present in the phone's preferences menu and is used to manually select a line from the phone, if required.</span></a></label>
		<input type="text" id="linename" name="linename" style="width: 200px; "/>
	</div>

	<div>
		<label for="userid"><a href="#" class="info">User ID<span>The user identifier to be associated with this external line when contacting the remote server.</span></a></label>
		<input type="text" id="userid" name="userid" style="width: 200px; "/>
	</div>

	<div>
		<label for="authname"><a href="#" class="info">Auth Name<span>The name used as an additional authentication parameter to the remote server for this external line. This can normally be left blank.</span></a></label>
		<input type="text" id="authname" name="authname" style="width: 200px; "/>
	</div>

	<div>
		<label for="secret"><a href="#" class="info">Secret<span>The password to use for authenticating to the remote server for this external line.</span></a></label>
		<input type="text" id="secret" name="secret" style="width: 200px; "/>
	</div>

	<div>
		<label for="server_address"><a href="#" class="info">Server Address<span>The address of the server this external line will use to place calls.</span></a></label>
		<input type="text" id="server_address" name="server_address" style="width: 200px; "/>
	</div>

	<div>
		<label for="server_port"><a href="#" class="info">Server Port<span>The port on which to contact the server for this external line.</span></a></label>
		<input type="text" id="server_port" name="server_port" style="width: 200px; " value="5060"/>
	</div>

	<div>
		<label for="server_transport"><a href="#" class="info">Transport<span>The SIP transport to use for this external line.</span></a></label>
		<select id="server_transport" name="server_transport">
			<option value="udp" selected>UDP (Default)</option>
			<option value="tcp">TCP</option>
		</select>
	</div>

	<div>
		<label for="callerid"><a href="#" class="info">Caller ID<span>The Caller ID to be presented to the called party when using this external line.</span></a></label>
		<input type="text" id="callerid" name="callerid" style="width: 200px; "/>
	</div>

	<div>
		<label for="register"><a href="#" class="info">Register<span>Whether to register this external line to the specified server.</span></a></label>
		<select id="register" name="register">
			<option value="yes" selected>Yes (Default)</option>
			<option value="no">No</option>
		</select>
	</div>


	<div onclick="$('#divadvanced').slideToggle('fast');" style="cursor: pointer; background-color: #CCC; margin: 3px; padding: 2px; border-style:solid; border-width: 1px; ">
	<a href="javascript:void(null);">Advanced Options:</a>
	</div>
	<div id="divadvanced" style="display: none; margin: 3px; padding: 2px; border-style:solid; border-width: 1px; ">
		<div>
			<label for="secondary_server_address"><a href="#" class="info">Secondary Server Address<span>The address of the secondary server this external line will use to place calls in the event that the server configured above can not be reached.</span></a></label>
			<input type="text" id="secondary_server_address" name="secondary_server_address" style="width: 200px; "/>
		</div>

		<div>
			<label for="secondary_server_port"><a href="#" class="info">Secondary Server Port<span>The port on which to contact the secondary server for this external line.</span></a></label>
			<input type="text" id="secondary_server_port" name="secondary_server_port" style="width: 200px; " value="5060"/>
		</div>

		<div>
			<label for="secondary_server_transport"><a href="#" class="info">Secondary Server Transport<span>The SIP transport to use for the secondary server for this external line.</span></a></label>
			<select id="secondary_server_transport" name="secondary_server_transport">
				<option value="udp" selected>UDP (Default)</option>
				<option value="tcp">TCP</option>
			</select>
		</div>
	</div>

	<br />

	<input type="button" value="Cancel" onclick="location.href='config.php?type=setup&display=digium_phones&digium_phones_form=externallines_edit'"/>
	<input type="submit" name="editexternalline_submit" value="Save"/>
</div>
</form>
