<h2>Phones</h2>
<hr />

<form name="digium_phones_editdevice" action="config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit" method="post">
<script>
$().ready(function() {
<?php
if (isset($_GET['reconfiguredevice_submit']) && $response != null) {
	$reconfigure = preg_split('/\n/', $response['data']);
	if ($reconfigure[1] != null) {
?>
		alert("<?php echo $reconfigure[1]?>");
<?php
	}
}

$devices = $digium_phones->get_devices();

$config_auth = $digium_phones->get_general('config_auth');

$editdev = null;

if (isset($_GET['device'])) {
	if (!isset($_GET['deletedevice_submit']) && !isset($_GET['reconfiguredevice_submit'])) {
		$editdev = $_GET['device'];
	}
}

if ($editdev != null) {
	if ($editdev == 0) {
?>
		$('#devicename').val("New Phone");
<?php
	} else {
?>
		$('#devicename').val($('#device<?php echo $editdev?>name').text());
<?php
	}
?>
	$('#device').val(<?php echo $editdev?>);

	$('div[id=editingdevice]').show();
<?php
}

if ($editdev == 0) {
	$general_locale = $digium_phones->get_general('active_locale');
	if ($general_locale != NULL) {
?>
		if ($('#active_locale') != null) {
			$('#active_locale').val('<?php echo $general_locale?>');
		}
<?php
	}
}


foreach ($devices as $deviceid=>$device) {
	if ($editdev == $deviceid) {
		if (isset($device['settings']['active_locale']) === FALSE) {
			$general_locale = $digium_phones->get_general('active_locale');
			if ($general_locale != NULL) {
				$device['settings']['active_locale'] = $general_locale;
			}
		}
		foreach ($device['settings'] as $key=>$val) {
?>
			if ($('#<?php echo $key?>') != null) {
				$('#<?php echo $key?>').val('<?php echo $val?>');
			}
<?php
		}
	}
	foreach ($device["lines"] as $line) {
		if ($editdev == $deviceid) {
?>
			addEntry("<?php echo $line['extension']?>");
<?php
		} else {
?>
			useEntry("<?php echo $line['extension']?>");
<?php
		}
	}
	foreach ($device["externallines"] as $externalline) {
		if ($editdev == $deviceid) {
?>
			addEntry("external:<?php echo $externalline['externallineid']?>");
<?php
		}
	}

	foreach ($device["phonebooks"] as $phonebook) {
		if ($editdev == $deviceid) {
?>
			addPhonebook("<?php echo $phonebook['phonebookid']?>");
<?php
		}
	}

	foreach ($device["networks"] as $network) {
		if ($editdev == $deviceid) {
?>
			addNetwork("<?php echo $network['networkid']?>");
<?php
		}
	}

	foreach ($device["logos"] as $logo) {
		if ($editdev == $deviceid) {
?>
			addLogo("<?php echo $logo['logoid']?>");
<?php
		}
	}

	foreach ($device["alerts"] as $alert) {
		if ($editdev == $deviceid) {
?>
			addAlert("<?php echo $alert['alertid']?>");
<?php
		}
	}

	foreach ($device["statuses"] as $status) {
		if ($editdev == $deviceid) {
?>
			addStatus("<?php echo $status['statusid']?>");
<?php
		}
	}

	foreach ($device["customapps"] as $customapp) {
		if ($editdev == $deviceid) {
?>
			addCustomApp("<?php echo $customapp['customappid']?>");
<?php
		}
	}
}
?>
});

$('form').submit(function() {
	if ($.trim($('#devicename').val()).length <= 0) {
		alert("Phone Name cannot be empty.");
		return false;
	}
<?php
	if ($config_auth == "pin") {
?>
		if ($.trim($('#pin').val()).length <= 0) {
			alert("Phone PIN cannot be empty.");
			return false;
		}
<?php
	} else if ($config_auth == "mac") {
?>
		if ($.trim($('#mac').val()).length <= 0) {
			alert("Phone MAC cannot be empty.");
			return false;
		}
<?php
	}
?>

	$('#lines').attr("multiple", "multiple");
 	$('#lines option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicephonebooks').attr("multiple", "multiple");
 	$('#devicephonebooks option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicenetworks').attr("multiple", "multiple");
 	$('#devicenetworks option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicelogos').attr("multiple", "multiple");
 	$('#devicelogos option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicealerts').attr("multiple", "multiple");
 	$('#devicealerts option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicestatuses').attr("multiple", "multiple");
 	$('#devicestatuses option').each(function() {
 		$(this).attr("selected", "selected");
	});
	$('#devicecustomapps').attr("multiple", "multiple");
 	$('#devicecustomapps option').each(function() {
 		$(this).attr("selected", "selected");
	});
});

function useEntry(exten) {
	$('#extensions option[value="'+exten+'"]').remove();
}
function addEntry(exten) {
	if ($.trim(exten).length <= 0) {
		alert("Cannot add empty extensions.");
		return false;
	}

	entry = $('#extensions option[value="'+exten+'"]');
	newentry = entry.appendTo('#lines optgroup[label="'+entry.parent().attr('label')+'"]');
	$('#lines').attr('selectedIndex', newentry.index());
	$('#extensions').attr('selectedIndex', '-1');
	useEntry(exten);

	return true;
}
function delEntry(exten) {
	entry = $('#lines option[value="'+exten+'"]');

	eopt = entry.appendTo('#extensions optgroup[label="'+entry.parent().attr('label')+'"]');
	$('#extensions').attr('selectedIndex', eopt.index());

	return true;
}
function usePhonebook(phonebookid) {
	$('#phonebooks option[value='+phonebookid+']').remove();
}
function addPhonebook(phonebookid) {
	phonebook = $('#phonebooks option[value='+phonebookid+']');
	if (phonebook.val() == phonebookid) {
		newphonebook = phonebook.clone();
		newphonebook.appendTo('#devicephonebooks');
		$('#devicephonebooks').attr('selectedIndex', newphonebook.index());
		$('#phonebooks').attr('selectedIndex', '-1');
		usePhonebook(phonebookid);
	}
	return true;
}
function delPhonebook(phonebookid) {
	phonebook = $('#devicephonebooks option[value='+phonebookid+']');
	popt = phonebook.appendTo('#phonebooks');
	if (popt) {
		$('#phonebooks').attr('selectedIndex', popt.index());
	} else {
		$('#phonebooks').attr('selectedIndex', '-1');
	}
	return true;
}
function useNetwork(networkid) {
	$('#networks option[value='+networkid+']').remove();
}
function addNetwork(networkid) {
	network = $('#networks option[value='+networkid+']');
	if (network.val() == networkid) {
		newnetwork = network.clone();
		newnetwork.appendTo('#devicenetworks');
		$('#devicenetworks').attr('selectedIndex', newnetwork.index());
		$('#networks').attr('selectedIndex', '-1');
		useNetwork(networkid);
	}
	return true;
}
function delNetwork(networkid) {
	network = $('#devicenetworks option[value='+networkid+']');
	nopt = network.appendTo('#networks');
	if (nopt) {
		$('#networks').attr('selectedIndex', nopt.index());
	} else {
		$('#networks').attr('selectedIndex', '-1');
	}
	return true;
}
function useLogo(logoid) {
	$('#logos option[value='+logoid+']').remove();
}
function addLogo(logoid) {
	logo = $('#logos option[value='+logoid+']');
	if (logo.val() == logoid) {
		newlogo = logo.clone();
		newlogo.appendTo('#devicelogos');
		$('#devicelogos').attr('selectedIndex', newlogo.index());
		$('#logos').attr('selectedIndex', '-1');
		useLogo(logoid);
	}
	return true;
}
function delLogo(logoid) {
	logo = $('#devicelogos option[value='+logoid+']');
	lopt = logo.appendTo('#logos');
	if (lopt) {
		$('#logos').attr('selectedIndex', lopt.index());
	} else {
		$('#logos').attr('selectedIndex', '-1');
	}
	return true;
}
function useAlert(alertid) {
	$('#alerts option[value='+alertid+']').remove();
}
function addAlert(alertid) {
	alert = $('#alerts option[value='+alertid+']');
	if (alert.val() == alertid) {
		newalert = alert.clone();
		newalert.appendTo('#devicealerts');
		$('#devicealerts').attr('selectedIndex', newalert.index());
		$('#alerts').attr('selectedIndex', '-1');
		useAlert(alertid);
	}
	return true;
}
function delAlert(alertid) {
	alert = $('#devicealerts option[value='+alertid+']');
	aopt = alert.appendTo('#alerts');
	if (aopt) {
		$('#alerts').attr('selectedIndex', aopt.index());
	} else {
		$('#alerts').attr('selectedIndex', '-1');
	}
	return true;
}
function useStatus(statusid) {
	$('#statuses option[value='+statusid+']').remove();
}
function addStatus(statusid) {
	statusentry = $('#statuses option[value='+statusid+']');
	if (statusentry.val() == statusid) {
		newstatus = statusentry.clone();
		newstatus.appendTo('#devicestatuses');
		$('#devicestatuses').attr('selectedIndex', newstatus.index());
		$('#statuses').attr('selectedIndex', '-1');
		useStatus(statusid);
	}
	return true;
}
function delStatus(statusid) {
	statusentry = $('#devicestatuses option[value='+statusid+']');
	sopt = statusentry.appendTo('#statuses');
	if (sopt) {
		$('#statuses').attr('selectedIndex', sopt.index());
	} else {
		$('#statuses').attr('selectedIndex', '-1');
	}
	return true;
}
function useCustomApp(customappid) {
	$('#customapps option[value='+customappid+']').remove();
}
function addCustomApp(customappid) {
	customappentry = $('#customapps option[value='+customappid+']');
	if (customappentry.val() == customappid) {
		newcustomapp = customappentry.clone();
		newcustomapp.appendTo('#devicecustomapps');
		$('#devicecustomapps').attr('selectedIndex', newcustomapp.index());
		$('#customapps').attr('selectedIndex', '-1');
		useCustomApp(customappid);
	}
	return true;
}
function delCustomApp(customappid) {
	customappentry = $('#devicecustomapps option[value='+customappid+']');
	copt = customappentry.appendTo('#customapps');
	if (copt) {
		$('#customapps').attr('selectedIndex', copt.index());
	} else {
		$('#customapps').attr('selectedIndex', '-1');
	}
	return true;
}
</script>

<?php
if (!$easymode) {
?>
<input type="button" value="Add Phone" onclick="location.href='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit&device=0'" />
<?php
} else {
?>
<h3>Easy mode is enabled.  Configured extensions will automatically create Digium Phone configuration.</h3>
<?php
}
?>
<input type="button" value="Reconfigure All" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit&reconfiguredevice_submit=Reconfigure&device=-1'">
<p>

<table style="border-collapse:collapse; border-style:outset; border-width: 1px; ">
<tr>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Phone Name<span>A name for this phone, usually the name of the person who's using it.</span></a></th>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info"><?php echo ($easymode)?'Ext. #':'Extension(s)'?><span>The FreePBX extension that is assigned to a particular line key.</span></a></th>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Phone Info<span>Information about this device, such as IP address, model, and MAC address.</span></a></th>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Presence<span>The current user presence information for this device, indicating availability.</span></a></th>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Actions<span>Three actions are available. "Edit" allows customization of a particular phone. "Delete" will delete a phone, but not the underlying extension. "Reconfigure" will notify the phone that it should request new configuration information from Asterisk.</span></a></th>
<?php
if (!$easymode) {
?>
	<th style="border-style:inset; border-width:1px; "><a href="#" class="info">Notes<span>Any important information about this device.  Examples include missing MAC address or PIN if the Phone Authentication Method requires them.</span></a></th>
<?php
}
?>
</tr>
<?php
// get session information for use later
$response = $astman->send_request('Command',array('Command'=>"digium_phones show sessions"));
$sessions = null;
if ($response && array_key_exists('data', $response)) {
	$sessions = preg_split('/\n/', $response['data']);
}

foreach ($devices as $deviceid=>$device) {
?>
<tr>
	<td style="border-style:inset; border-width: 1px; ">
		<span id="device<?php echo $deviceid?>name"><?php echo $device['name']?></span>
	</td>
	<td style="border-style:inset; border-width:1px; ">
		<table style="border-collapse:collapse; ">
<?php
	$first_internal_line = null;
	$linecount=0;
	foreach ($device['lines'] as $line) {
		$linecount++;
?>
		<tr>
			<td style="border-style:inset; border-width:0px; ">
<?php
		if (!$easymode) {
			if (!$first_internal_line) {
				$first_internal_line = $line['extension'];
			}
?>
			Line-Key <?php echo ($linecount)?>: <?php echo $line['user']['description']?> &lt;<?php echo $line['extension']?>&gt;
<?php
		} else {
			if (!$first_internal_line) {
				$first_internal_line = $line['extension'];
			}
?>
			<?php echo $line['extension']?>
<?php
		}
?>
			</td>
		</tr>
<?php
	}

	foreach ($device['externallines'] as $externalline) {
		$el = $digium_phones->get_externalline($externalline['externallineid']);

		if ($el == null) {
			continue;
		}

		$linecount++;
?>
		<tr>
			<td style="border-style:inset; border-width:0px; ">
			Line-Key <?php echo ($linecount)?>: <?php echo $el['name']?>
			</td>
		</tr>
<?php
	}
?>



		</table>
	</td>
	<td style="border-style:inset; border-width:1px; white-space: nowrap; ">
<?php
	// phone info column
	$addr = null;
	$model = '';
	$response = null;
	// XXX When DPMA-273 gets resolved, this needs to be updated accordingly
	if ($first_internal_line) {
		$response = $astman->send_request('SIPshowpeer',array('Peer'=>"{$first_internal_line}"));
	}
	if ($response != null && $response['Response'] == 'Success') {
		$addr = $response['Address-IP'];
		$model = $response['SIP-Useragent'];
		$matches = null;
		if (preg_match('/(Digium D\d+).*/', $model, $matches)) {
			$model = $matches[1];
		} else {
			$model = 'Unknown';
		}
	}
	if ($addr == '(null)') {
		$addr = null;
	}
	if ($addr) {
		$mac = '';
		if ($sessions) foreach ($sessions as $session_line) {
			$matches = null;
			if (preg_match('/:'.$addr.':.*MAC:([a-fA-F0-9]{12})$/', $session_line, $matches)) {
				$mac = $matches[1];
				break;
			}
		}
?>
		<table style="border-collapse:collapse; ">
		<tr>
			<td style="border-style:inset; border-width:0px; ">
				Model: <?php echo $model?>
			</td>
		</tr>
		<tr>
			<td style="border-style:inset; border-width:0px; ">
				IP Address: <?php echo $addr?>
			</td>
		</tr>
		<tr>
			<td style="border-style:inset; border-width:0px; ">
				MAC: <?php echo $mac?>
			</td>
		</tr>
		</table>
<?php
	} else {
?>
		-
<?php
	}
?>
	</td>
<?php
	$presence = '-';
	if ($addr) {
		$response = $astman->send_request('Getvar',array('Variable'=>"PRESENCE_STATE(CustomPresence:{$first_internal_line},value)"));
		if ($response && array_key_exists('Response', $response) && $response['Response'] == "Success") {
			$presence = $response['Value'];
		}
	}
	// user presence column
?>
	<td style="border-style:inset; border-width:1px; white-space: nowrap; "><?php echo $presence?></td>
	<td style="border-style:inset; border-width:1px; white-space: nowrap; ">
<?php
	// actions column
	if (!$easymode) {
?>
		<input type="button" value="Edit" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit&device=<?php echo $deviceid?>'">
		<input type="button" value="Delete" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit&deletedevice_submit=Delete&device=<?php echo $deviceid?>'">
<?php
	}
?>
		<input type="button" value="Reconfigure" onClick="parent.location='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit&reconfiguredevice_submit=Reconfigure&device=<?php echo $deviceid?>'">
	</td>
<?php
	if (!$easymode) {
		// notes column
?>
	<td style="border-style:inset; border-width:1px; white-space: nowrap; ">
<?php
		if ($device['settings']['pin'] == null && $config_auth == "pin") {
?>
		<span style="color: red; ">No device PIN set.  Device will be unusable.</span>
<?php
		} else if ($device['settings']['mac'] == null && $config_auth == "mac") {
?>
		<span style="color: red; ">No device MAC address set.  Device will be unusable.</span>
<?php
		} else {
?>
		-
<?php
		}
?>
	</td>
<?php
	}
?>
</tr>
<?php
}
?>
</table>

<hr />

<div id="editingdevice" style="display: none;">
	<input type="hidden" id="device" name="device" />
	<div class="setting">
		<label for="devicename"><a href="#" class="info">Phone Name:<span>A named identifier for the phone, such as the person using it.</span></a></label>
		<input type="text" id="devicename" name="devicename" style="width: 200px; "/>
	</div>

	<br />

	<table>
	<tr>
	<th><a href="#" class="info">Available Extensions<span>Displays FreePBX extensions that may be assigned to a phone. Extensions that are greyed out are in use by another phone already and may not be re-assigned without being first unassigned.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Extensions<span>Displays a listing of extensions, ordered by Line number, beginning with the first line, assigned to the phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="extensions" style="width: 200px; " ondblclick="addEntry($('#extensions').val());">
		<optgroup label="Internal">
<?php
		foreach ($digium_phones->get_core_devices() as $user) {
			if (strtolower($user['tech']) != 'sip') {
				continue;
			}
?>
			<option value="<?php echo $user[0]?>"><?php echo $user[0]?> | <?php echo $user[1]?></option>
<?php
		}
?>
		</optgroup>
		<optgroup label="External">
<?php
		foreach ($digium_phones->get_externallines() as $externalline) {
?>
			<option value="external:<?php echo $externalline['id']?>"><?php echo $externalline['name']?></option>
<?php
		}
?>
		</optgroup>

		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delEntry($('#lines').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addEntry($('#extensions').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="lines" name="lines[]" style="width: 200px; " ondblclick="delEntry($('#lines').val());">
		<optgroup label="Internal">
		</optgroup>
		<optgroup label="External">
		</optgroup>
		</select>
	</td>
	<td style="width: 24px; ">
		<img alt="Move Up" src="images/resultset_up.png" style="width: 24px; height: 24px; " onclick="l=$('#lines option:selected'); $(l).insertBefore($(l).prev());"/>
		<img alt="Move Down" src="images/resultset_down.png" style="width: 24px; height: 24px; " onclick="l=$('#lines option:selected'); $(l).insertAfter($(l).next());"/>
	</td>
	</tr>
	</table>

	<div>
		<label for="pin"><a href="#" class="info">Phone PIN:<span>A numeric identifier associated with this phone. When set, and when enabled in the General Settings page, one must enter this PIN on the phone in order to use this configuration.</span></a></label>
		<input type="text" id="pin" name="pin" <?php echo $config_auth == "pin" ? "" : "readonly"?> style="width: 200px; "/>
	</div>

	<div>
		<label for="mac"><a href="#" class="info">Phone MAC Address:<span>When set, and when enabled in the General Settings page, the phone configuration is only available to the device matching this MAC Address.</span></a></label>
		<input type="text" id="mac" name="mac" <?php echo $config_auth == "mac" ? "" : "readonly"?> style="width: 200px; "/>
	</div>

	<table>
	<tr>
	<th><a href="#" class="info">Available Phonebooks<span>Displays a listing of phonebooks that may be assigned to the Phone's Contacts lists. More than one phonebook may be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Phonebooks<span>Displays a listing of phonebooks currently assigned to a Phone. By default, an Internal Phonebook, containing a listing of all system extensions, is assigned to the phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="phonebooks" style="width: 200px; " ondblclick="addPhonebook($('#phonebooks').val());">
<?php
		foreach ($digium_phones->get_phonebooks() as $phonebook) {
?>
			<option value="<?php echo $phonebook['id']?>"><?php echo $phonebook['name']?></option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delPhonebook($('#devicephonebooks').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addPhonebook($('#phonebooks').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicephonebooks" name="devicephonebooks[]" style="width: 200px; " ondblclick="delPhonebook($('#devicephonebooks').val());">
		</select>
	</td>
	<td style="width: 24px; ">
		<img alt="Move Up" src="images/resultset_up.png" style="width: 24px; height: 24px; " onclick="l=$('#devicephonebooks option:selected'); $(l).insertBefore($(l).prev());"/>
		<img alt="Move Down" src="images/resultset_down.png" style="width: 24px; height: 24px; " onclick="l=$('#devicephonebooks option:selected'); $(l).insertAfter($(l).next());"/>
	</td>
	</tr>
	</table>

	<div>
		<label for="rapiddial"><a href="#" class="info">Rapid Dial Key Phonebook:<span>Sets which Phonebook will be assigned to a Phone's Rapid Dial (BLF) keys.</span></a></label>
		<select id="rapiddial" name="rapiddial" style="width: 200px; ">
			<option value="">(none)</option>
<?php
		foreach ($digium_phones->get_phonebooks() as $phonebook) {
?>
			<option value="<?php echo $phonebook['id']?>"><?php echo $phonebook['name']?></option>
<?php
		}
?>
		</select>
	</div>

	<div>
		<label for="name_format"><a href="#" class="info">Name Format:<span>Sets the name format used for Rapid Dial keys and Contacts application. Defaults to "FirstName LastName" but may be changed to "LastName, FirstName."</span></a></label>
		<select id="name_format" name="name_format">
			<option value="first_last" selected>FirstName LastName (Default)</option>
			<option value="last_first">LastName, FirstName</option>
		</select>
	</div>

	<div>
		<label for="timezone"><a href="#" class="info">Timezone:<span>Sets the timezone to be used for the phone.</span></a></label>
		<select id="timezone" name="timezone">
<?php
			// This file gets generated by generate_zonelist.php.
			include 'zonelist.html'
?>
		</select>
	</div>

	<table>
	<tr>
	<th><a href="#" class="info">Available Networks<span>Displays a listing of networks that may be assigned to the phone. More than one network may be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Networks<span>Displays a listing of networks currently assigned to a phone. By default, a Default Network is assigned to the phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="networks" style="width: 200px; " ondblclick="addNetwork($('#networks').val());">
<?php
		foreach ($digium_phones->get_networks() as $network) {
?>
			<option value="<?php echo $network['id']?>"><?php echo $network['name']?></option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delNetwork($('#devicenetworks').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addNetwork($('#networks').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicenetworks" name="devicenetworks[]" style="width: 200px; " ondblclick="delNetwork($('#devicenetworks').val());">
		</select>
	</td>
	</tr>
	</table>

	<table>
	<tr>
	<th><a href="#" class="info">Available Logos<span>Displays a listing of logos that may be assigned to the phone. More than one logo may be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Logos<span>Displays a listing of logos currently assigned to a phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="logos" style="width: 200px; " ondblclick="addLogo($('#logos').val());">
<?php
		foreach ($digium_phones->get_logos() as $logo) {
?>
			<option value="<?php echo $logo['id']?>"><?php echo $logo['name']?> (<?php echo $logo['model']?>)</option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delLogo($('#devicelogos').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addLogo($('#logos').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicelogos" name="devicelogos[]" style="width: 200px; " ondblclick="delLogo($('#devicelogos').val());">
		</select>
	</td>
	</tr>
	</table>

	<table>
	<tr>
	<th><a href="#" class="info">Available Alerts<span>Displays a listing of alerts that may be assigned to the phone. More than one alert may be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Alerts<span>Displays a listing of alerts currently assigned to a phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="alerts" style="width: 200px; " ondblclick="addAlert($('#alerts').val());">
<?php
		foreach ($digium_phones->get_alerts() as $alert) {
?>
			<option value="<?php echo $alert['id']?>"><?php echo $alert['name']?></option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delAlert($('#devicealerts').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addAlert($('#alerts').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicealerts" name="devicealerts[]" style="width: 200px; " ondblclick="delAlert($('#devicealerts').val());">
		</select>
	</td>
	</tr>
	</table>

	<table>
	<tr>
	<th><a href="#" class="info">Available Statuses<span>Displays a listing of statuses that may be assigned to the phone. More than one status should be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Statuses<span>Displays a listing of statuses currently assigned to a phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="statuses" style="width: 200px; " ondblclick="addStatus($('#statuses').val());">
<?php
		foreach ($digium_phones->get_statuses() as $status) {
?>
			<option value="<?php echo $status['id']?>"><?php echo $status['name']?></option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delStatus($('#devicestatuses').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addStatus($('#statuses').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicestatuses" name="devicestatuses[]" style="width: 200px; " ondblclick="delStatus($('#devicestatuses').val());">
		</select>
	</td>
	</tr>
	</table>

	<table>
	<tr>
	<th><a href="#" class="info">Available Custom Apps<span>Displays a listing of custom applications that may be assigned to the phone. More than one custom application may be assigned to a phone.</span></a></th>
	<td></td>
	<th><a href="#" class="info">Assigned Custom Apps<span>Displays a listing of custom applications currently assigned to a phone.</span></a></th>
	<td></td>
	</tr>
	<tr>
	<td>
		<select size="8" id="customapps" style="width: 200px; " ondblclick="addCustomApp($('#customapps').val());">
<?php
		foreach ($digium_phones->get_customapps() as $customapp) {
?>
			<option value="<?php echo $customapp['id']?>"><?php echo $customapp['name']?></option>
<?php
		}
?>
		</select>
	</td>
	<td>
		<img alt="Remove" src="images/resultset_left.png" onclick="delCustomApp($('#devicecustomapps').val());" style="width: 24px; height: 24px; "/>
		<img alt="Add" src="images/resultset_right.png" onclick="addCustomApp($('#customapps').val());" style="width: 24px; height: 24px; " />
	</td>
	<td>
		<select size="8" id="devicecustomapps" name="devicecustomapps[]" style="width: 200px; " ondblclick="delCustomApp($('#devicecustomapps').val());">
		</select>
	</td>
	</tr>
	</table>

	<div>
		<label for="record_own_calls"><a href="#" class="info">Enable Call Recording:<span> Enables or Disables Call Recording. If disabled, the Record softkey will not show for in-progress calls.</span></a></label>
		<select id="record_own_calls" name="record_own_calls">
			<option value="yes" selected>Enabled (Default</option>
			<option value="no">Disabled</option>
		</select>
	</div>

	<div>
		<label for="send_to_vm"><a href="#" class="info">Enable Send to Voicemail:<span>Enables or Disables the Send VM softkey. If disabled, the Send VM softkey will not show for incoming calls.</span></a></label>
		<select id="send_to_vm" name="send_to_vm">
			<option value="yes" selected>Enabled (Default</option>
			<option value="no">Disabled</option>
		</select>
	</div>

	<div>
		<label for="blf_unused_linekeys"><a href="#" class="info">Rapid Dials on Unused Line Keys:<span>By default, Line keys that do not have an extension assigned to them will be configured with Rapid Dial keys. This behavior may be disabled such that Rapid Dial keys begin assignment on the sidecar keys.</span></a></label>
		<select id="blf_unused_linekeys" name="blf_unused_linekeys">
			<option value="yes">Enabled</option>
			<option value="no" selected>Disabled (Default)</option>
		</select>
	</div>

	<div>
		<label for="ntp_resync"><a href="#" class="info">Seconds between NTP sync:<span>Defines the interval (in seconds) in which time is resynchronized via NTP. Defaults to "86400".</span></a></label>
		<input type="text" id="ntp_resync" name="ntp_resync" style="width: 200px; "/>
	</div>

	<div>
		<label for="web_ui_enabled"><a href="#" class="info">Enable Web UI:<span>By default, when using the Digium Phone Module for Asterisk, the phone's built-in Web UI is disabled. To override this and enable the Web UI anyway, which may result in unpredictable behavior if user settings conflict with the settings provided by the DPMA, enable this option. Do not enable this unless you know what you're doing.</span></a></label>
		<select id="web_ui_enabled" name="web_ui_enabled">
			<option value="yes">Enabled</option>
			<option value="no" selected>Disabled (Default)</option>
		</select>
	</div>

	<div>
		<label for="firmware_package_id"><a href="#" class="info">Select Firmware:<span>Pick the firmware to load on the phone.</span></a></label>
		<select id="firmware_package_id" name="firmware_package_id">
			<option value="" selected/>
			<?php
				$packages = $digium_phones->get_firmware_manager()->get_packages();
				foreach ($packages as $package) {
			?>
			<option value="<?php echo $package->get_unique_id()?>"><?php echo $package->get_name()?></option>
			<?php
				}
			?>
		</select>
	</div>

	<div>
		<label for="active_locale"><a href="#" class="info">Active Locale:<span>Set the default active locale</span></a></label>
		<select id="active_locale" name="active_locale">
			<option value="" selected></option>
			<?php
				$locales = $digium_phones->get_locales();
				foreach ($locales as $locale) {
			?>
			<option value="<?php echo $locale?>"><?php echo $locale ?></option>
			<?php
				}
			?>
		</select>
	</div>

	<div>
		<label for="active_ringtone"><a href="#" class="info">Default Ringtone:<span>Sets the default ringtone for a phone. In order to play a custom Ringtone by default, that Ringtone must be loaded onto a phone using the Ringtones option.</span></a></label>
		<select id="active_ringtone" name="active_ringtone">
			<option value=""></option>
<?php
			foreach ($digium_phones->get_ringtones() as $ringtone) {
?>
			<option value="<?php echo $ringtone['id']?>"><?php echo $ringtone['name']?></option>
<?php
			}
?>
		</select>
	</div>

	<div>
		<label for="login_password"><a href="#" class="info">Phone Admin Password:<span>Sets a custom password for the phone's web interface, if enabled. Note that the web interface is disabled by default, as its use can run in conflict to use of the phones with the DPMA and result in unexpected behavior. Do not enable the phone's web interface unless you know what you're doing.</span></a></label>
		<input type="text" id="login_password" name="login_password"/>
	</div>

	<div>
		<label for="accept_local_calls"><a href="#" class="info">Accept Only Local Calls:<span>Sets whether the phone will accept calls only from the PBX, or instead from any address.</span></a></label>
		<select id="accept_local_calls" name="accept_local_calls">
			<option value="host" selected>Enabled (Default)</option>
			<option value="any">Disabled</option>
		</select>
	</div>

	<br />

	<div>
		<label for="lock_preferences"><a href="#" class="info">Phone Can Override Preferences:<span>Defines whether or not the phone will be able to override any server-set preferences. By default, any non-default phone preferences set by the server can be overridden by the phone. This option enables the administrator to disable that capability by removing the user's preference option for items that the administrator sets to a non-default.</span></a></label>
		<select id="lock_preferences" name="lock_preferences">
			<option value="no" selected>Enabled (Default)</option>
			<option value="yes">Disabled</option>
		</select>
	</div>

	<div>
		<label for="brightness"><a href="#" class="info">Brightness Level:<span>Sets the LCD screen brightness, defaults to 5.</span></a></label>
		<select id="brightness" name="brightness">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="contrast"><a href="#" class="info">Contrast Level:<span>Sets the LCD screen contrast, defaults to 5.</span></a></label>
		<select id="contrast" name="contrast">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="dim_backlight"><a href="#" class="info">Dim Backlight After Timeout:<span>Enables backlight dimming. When enabled, dims the screen after backlight timeout has been reached and phone is otherwise idle. Defaults to enabled.</span></a></label>
		<select id="dim_backlight" name="dim_backlight">
			<option value="yes">Enabled</option>
			<option value="" selected>Disabled (Default)</option>
		</select>
	</div>

	<div>
		<label for="backlight_dim_level"><a href="#" class="info">Backlight Dim Level:<span>Sets the brightness level to which the phone dims when when Dim Backlight After Timeout is enabled, defaults to 2.</span></a></label>
		<select id="backlight_dim_level" name="backlight_dim_level">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="backlight_timeout"><a href="#" class="info">Backlight Timeout:<span>Sets the time, in seconds, before the backlight is set to Backlight Dim Level while phone is idle; setting to 0 disables backlight timeout, defaults to 0.</span></a></label>
		<input type="text" id="backlight_timeout" name="backlight_timeout"/>
	</div>

	<div>
		<label for="display_mc_notification"><a href="#" class="info">Display Missed Call Notifications:<span>Defines whether the phone will display a notification for missed calls or not.</span></a></label>
		<select id="display_mc_notification" name="display_mc_notification">
			<option value="yes" selected>Enabled (Default)</option>
			<option value="no">Disabled</option>
		</select>
	</div>

	<br />

	<div>
		<label for="ringer_volume"><a href="#" class="info">Ringer Volume:<span>Sets the ringer volume, defaults to 5.</span></a></label>
		<select id="ringer_volume" name="ringer_volume">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="speaker_volume"><a href="#" class="info">Speaker Volume:<span>Sets the speaker volume, defaults to 5.</span></a></label>
		<select id="speaker_volume" name="speaker_volume">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="handset_volume"><a href="#" class="info">Handset Volume:<span>Sets the handset volume, defaults to 5.</span></a></label>
		<select id="handset_volume" name="handset_volume">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="headset_volume"><a href="#" class="info">Headset Volume:<span>Sets the headset volume, defaults to 5.</span></a></label>
		<select id="headset_volume" name="headset_volume">
			<option value="" selected>Default</option>
			<option value="0">0</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
		</select>
	</div>

	<div>
		<label for="reset_call_volume"><a href="#" class="info">Call Volume Persistent Across Calls:<span>If enabled, volume changes made during a call do not persist to the next call, defaults to disabled.</span></a></label>
		<select id="reset_call_volume" name="reset_call_volume">
			<option value="yes">Enabled</option>
			<option value="" selected>Disabled (Default)</option>
		</select>
	</div>

	<br />

	<div>
		<label for="headset_answer"><a href="#" class="info">Prefer Handset to Headset:<span>Sets whether to use the headset, rather than the speaker, for answering all calls, defaults to disabled.</span></a></label>
		<select id="headset_answer" name="headset_answer">
			<option value="yes">Enabled</option>
			<option value="" selected>Disabled (Default)</option>
		</select>
	</div>

	<br />

	<input type="button" value="Cancel" onclick="location.href='config.php?type=setup&display=digium_phones&digium_phones_form=phones_edit'"/>
	<input type="submit" name="editdevice_submit" value="Save"/>
</div>
</form>
